import sys, os
import signal
sys.path.append(os.path.normpath(sys.path[0]+'/../..'))
import queue_receiver
import traceback
from nes_common import logger
serviceLog = logger.Logger().getLogger('Service')

run = True

def stop(signum, frame):
    global run
    run = False
    queue_receiver.stop()
signal.signal(signal.SIGTERM, stop)

serviceLog.info('Starting service for load dicts. (Mode: cash - mysql)')
try:
    queue_receiver.start(service = True, isCash = True)
except Exception, e:
    if run:
        serviceLog.error(traceback.format_exc())
    exit(1)
exit(0)